<?xml version="1.0" encoding="UTF-8" ?> <!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.fas.business.dao.mapper.PatrolMapper">
	<update id="updatePoint3dPosition">
	  update p_point
	  <trim prefix="set" suffixOverrides=",">
	  	<if test="ue4Location != null">ue4_location = #{ue4Location},</if>
	  	<if test="ue4Rotation != null">ue4_rotation = #{ue4Rotation},</if>
	  	<if test="position3d != null">coordinates = #{position3d},</if>
	  </trim>
	  where id = #{pointId}
	</update>
</mapper>